Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Hudson » Hudson/Ant issue with Websphere Application Server 7
Hudson/Ant issue with Websphere Application Server 7 [message #1353005] Tue, 13 May 2014 18:36
Keith Zalinger is currently offline Keith ZalingerFriend
Messages: 3
Registered: May 2014
Junior Member
Hello,

Trying to start up Hudson3 war which is installed on WAS 7.0.0.25. I'm seeing the following error message:

"We detected that your servlet container is loading an older version of Ant by itself, thereby preventing Hudson from loading its own newer copy. (Ant classes are loaded from bundleresource://64/org/apache/tools/ant/types/FileSet.class)
Perhaps can you override Ant in your container by copying one from Hudson's WEB-INF/lib, or can you set up the classloader delegation to child-first so that Hudson sees its own copy first?"

Previous searches have pointed out that setting the classloader to child-first will resolve this, at least for WAS6. This does not work for me with WAS7.

Has anyone else run into this that may have discovered another solution? I don't manage the WAS environment, and am not entirely sure how to get at the Ant classes.

Thanks,

-Keith
Previous Topic:vSphere Cloud Plugin is missing in Hudson
Next Topic:Problem with tests results trend graphs on Hudson 3.1.2
Goto Forum:
  


Current Time: Sun Dec 21 19:26:34 GMT 2014

Powered by FUDForum. Page generated in 0.03130 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software